
; Monitorprogramm fuer CPD6

		TITLE	CPD6DEF

		.Z80



; **********************************************************
;         Vereinbarungsteil fuer CP/M 2.2
; **********************************************************

BIOSSTACK	EQU	0FE80H

RAMSTART	EQU	0F000H

TPA		EQU	0100H

;CBIOS fuer CP/M 2.2
;
BIOSBASE	EQU	0F000H
BIOSLEN		EQU	1000H		; 4096 Byte
;
BDOSBASE    	EQU	0E200H
BDOSLEN		EQU	0E00H		; 3584 Byte = 28 * 128 		
;
CCPBASE     	EQU	0DA00H	
CCPLEN		EQU	0800H		; 2048 Byte
;
EEROMCCP	EQU	0100H
EEPROMBDOS	EQU	EEROMCCP+CCPLEN	; 0900H

;
USERLW		EQU	4	;Laufwerksregister
IOBYTE		EQU	3	;Intel I/O-Byte
;
SBDOS		EQU	BDOSBASE+6
SCCP		EQU	CCPBASE+03H


; **********************************************************
;         Vereinbarungsteil fuer die Hardware
; **********************************************************



FRQ		EQU	6			; Frequenz in MHz


AUSGANG		EQU	0



; Befehlscode fuer IORQ
IORQ_LED_Ein	EQU	01
IORQ_LED_Aus	EQU	02   
IORQ_CONOUT	EQU	03
IORQ_CONIN	EQU	04
IORQ_CONST	EQU	05
IORQ_START_PROG	EQU	06
IORQ_RAM2ARR 	EQU	07
IORQ_ARR2RAM 	EQU	08
IORQ_STD2UC 	EQU	09
IORQ_RD_PC2ARR 	EQU	10
IORQ_BDOS2RAM 	EQU	11
IORQ_CCP2RAM 	EQU	12
IORQ_WR_ARR2PC 	EQU	14
IORQ_DISK2RAM 	EQU	15   
IORQ_LIST 	EQU	16
IORQ_TIME 	EQU	17



; =========================================================


	;Vereinbarungsteil ROM/RAM

; ROM von 00000H bis 07FFFH
; RAM von 08000H bis 0FFFFH

RAM_SYSREG	EQU	BIOSSTACK	; Beginn der Datentabelle am Ende des Stack (Stack
					; zaehlt ja nach unten)


























